﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kursach
{
    public class Deque
    {
        public LinkedList<int>? list;

        public int numElems;

        public Deque()
        {
            list = new LinkedList<int>();
            numElems = 0;
        }

        public void InsertFirst(int value)
        {
            list.AddFirst(value);
        }

        public void InsertLast(int value)
        {
            list.AddLast(value);
        }

        public int PopFirst()
        {
            int temp = list.getHead();
            list.RemoveFirst();
            return temp;
        }

        public int PopLast()
        {
            int temp = list.getTail();
            list.RemoveLast();
            return temp;
        }

        public bool isEmpty()
        {
            return list.IsEmpty();
        }

        public void Clear()
        {
            list.Clear();
        }
    }
}
